Marketplace
Read one model price
Read a single model rate your organization has published, by its id. A price belonging to another organization is not visible and reads as not found.
GET
/
v1
/
marketplace
/
models
/
{id}
Read one model price
curl --request GET \
--url https://pricing.baselinehq.cloud/v1/marketplace/models/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/v1/marketplace/models/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/v1/marketplace/models/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context_limit": 123,
"currency": "<string>",
"effective_from": "<string>",
"effective_to": "<string>",
"fetched_at": "<string>",
"host": "<string>",
"id": "<string>",
"modalities_input": [
"<string>"
],
"modalities_output": [
"<string>"
],
"model": "<string>",
"model_id": "<string>",
"open_weights": true,
"output_limit": 123,
"provider": "<string>",
"publisher": "<string>",
"raw_pricing_data": {},
"reasoning": true,
"region": "<string>",
"sku_price_id": "<string>",
"source": "<string>",
"source_url": "<string>",
"structured_output": true,
"tags": {},
"token_bucket": "<string>",
"tool_call": true,
"unit_price_per_mtok": 123
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
API key with "bl_" prefix (e.g. "bl_<api_key>")
Path Parameters
Price id
Response
The price
Was this page helpful?
⌘I
Read one model price
